#include <iostream>
#include <string>
#include <sstream>


using namespace std;

#include "sm_array.h"
#include "collect.h"
#include "test_constants.h"


int main(int argc, char * argv[]) {
    garray a = initial_restaurants();
    ostringstream output;
    output << a;

    if(output.str() != TEST_ARRAY_OUTPUT) {
        cerr << "problem with text output" << endl;
        return 1;
    }

    if(a.size != TEST_ARRAY_SIZE) {
        cerr << "problem with expected test array size" << endl;
        return 1;
    }

    return 0;
}
